ocfs2cdsl(8)

NAME
ocfs2cdsl - Create context dependent symbolic link (CDSL).

SYNOPSIS
ocfs2cdsl [-cfnqvV] [-t hostname|mach|os|nodenum] filename

DESCRIPTION

ocfs2cdsl is used to create a context dependent symbolic link for filename (file or directory) for a node. A CDSL filename will have its own image for a specific node, but a common name in the OCFS2. It is very important that the ocfs2ctl command to be issued on all nodes that are part of the cluster and to any subsequent nodes that are added. If the ocfs2cdsl command is not executed in some of the nodes, the cdsl directory will not be accessible by them.

OPTIONS

-t hostname|mach|os|nodenum
    hostname|mach|os|nodenum - One of these options should be specified in order to create the CDSL. As for information, hostname would be the same as the output of "uname -n", mach would be the output of "uname -m", os would the the output of "uname -o" and nodenum would be the global node number for the hostname in the /etc/ocfs2/cluster.conf file.

-c  During the creation of the CDSL, if the file does exist, the data will be copied to the new location.

-f  Force the execution of the command.

-n  Will perform a check of all options and motions, but will not perform any change on disk.

-q  Execute ocfs2cdsl in quiet mode.

-v  Execute ocfs2cdsl in verbose mode.

-V  Print version and exit.

EXAMPLE
If one wants to have a shared ORACLE_HOME installed on an OCFS2 partition, and wants to have node specific configuration filename in the same shared ORACLE_HOME, one can have the filename created by ocfs2cdsl. A good example would be the directory $ORACLE_HOME/network/agent. Node1 could have its own view of the directory, which is different from Node2 view, but having the exact same full pathname.
    # ocfs2cdsl -c -t hostname $ORACLE_HOME/network/agent
In the example above, a CDSL directory will be created and the contents of the agent directory will copied to the new location. If the same is to be executed on all nodes, and assuming that no changes are made to the directory, each one of the nodes would have the exact same view of the agent directory. In case of change in the agent directory after the creation of the CDSL, only the node performing the change would be able to see it. All other nodes would still have the same initial view of the agent directory.

SEE ALSO
mkfs.ocfs2(8) fsck.ocfs2(8) tunefs.ocfs2(8) mounted.ocfs2(8) ocfs2console(8) debugfs.ocfs2(8)

AUTHORS
Oracle Corporation

COPYRIGHT
Copyright © 2004, 2008 Oracle. All rights reserved.